# Uses of Class
org.apache.velocity.runtime.directive.Block

Packages that use Block
Package
Description
org.apache.velocity.runtime.directive

## Uses of Block in org.apache.velocity.runtime.directive

Subclasses of Block in org.apache.velocity.runtime.directive
Modifier and Type
Class
Description
`class`
`BlockMacro`
BlockMacro directive is used to invoke Velocity macros with normal parameters and a macro body.
`class`
`Define`
Directive that puts an unrendered AST block in the context under the specified key, postponing rendering until the reference is used and rendered.
Constructors in org.apache.velocity.runtime.directive with parameters of type Block
Modifier
Constructor
Description
``
`Reference(InternalContextAdapter context, Block parent)`